package com.magistr.app.dto;

import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class GroupResponse {

    private Long id;
    private String name;
    private Long groupSize;
    private Long educationFormId;
    private String educationFormName;
    private Long departmentId;
    private Integer yearStartStudy;
    private Integer course;
    private Integer semester;
    private Long specialtyId;
    private String specialtyCode;
    private String specialtyName;
    private Long specialtyProfileId;
    private String specialtyProfileName;
    private String status;
    private Boolean active;
    private String studyState;
    private String studyStateName;

    public GroupResponse(Long id,
                         String name,
                         Long groupSize,
                         Long educationFormId,
                         String educationFormName,
                         Long departmentId,
                         Integer yearStartStudy,
                         Integer course,
                         Integer semester,
                         Long specialtyId,
                         String specialtyCode,
                         String specialtyName,
                         Long specialtyProfileId,
                         String specialtyProfileName,
                         String status,
                         Boolean active,
                         String studyState,
                         String studyStateName) {
        this.id = id;
        this.name = name;
        this.groupSize = groupSize;
        this.educationFormId = educationFormId;
        this.educationFormName = educationFormName;
        this.departmentId = departmentId;
        this.yearStartStudy = yearStartStudy;
        this.course = course;
        this.semester = semester;
        this.specialtyId = specialtyId;
        this.specialtyCode = specialtyCode;
        this.specialtyName = specialtyName;
        this.specialtyProfileId = specialtyProfileId;
        this.specialtyProfileName = specialtyProfileName;
        this.status = status;
        this.active = active;
        this.studyState = studyState;
        this.studyStateName = studyStateName;
    }

    public Long getId() {
        return id;
    }

    public String getName() {
        return name;
    }

    public Long getGroupSize() {
        return groupSize;
    }

    public Long getEducationFormId() {
        return educationFormId;
    }

    public String getEducationFormName() {
        return educationFormName;
    }

    public Long getDepartmentId() {
        return departmentId;
    }

    public Integer getCourse() {
        return course;
    }

    public Integer getSemester() {
        return semester;
    }

    public Integer getYearStartStudy() {
        return yearStartStudy;
    }

    public Long getSpecialityCode() {
        return specialtyId;
    }

    public Long getSpecialtyId() {
        return specialtyId;
    }

    public String getSpecialtyCode() {
        return specialtyCode;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public Long getSpecialtyProfileId() {
        return specialtyProfileId;
    }

    public String getSpecialtyProfileName() {
        return specialtyProfileName;
    }

    public String getStatus() {
        return status;
    }

    public Boolean getActive() {
        return active;
    }

    public String getStudyState() {
        return studyState;
    }

    public String getStudyStateName() {
        return studyStateName;
    }
}
